desync(1)

NAME
desync-inspect-chunks - Inspect chunks from an index and an optional local store

SYNOPSIS
desync inspect-chunks <index> [<output>] [flags]

DESCRIPTION
Prints a detailed JSON with information about chunks stored in an index file. By using the '--store' option to provide a local store, the generated JSON will include, if available, the chunks compressed size info from that particular store.

OPTIONS
--ca-cert=""
    trust authorities in this file, instead of OS trust store

-r, --cache-repair[=true]
    replace invalid chunks in the cache from source

--client-cert=""
    path to client certificate for TLS authentication

--client-key=""
    path to client key for TLS authentication

-n, --concurrency=10
    number of concurrent goroutines

-e, --error-retry=3
    number of times to retry in case of network error

-b, --error-retry-base-interval=500ms
    initial retry delay, increases linearly with each subsequent attempt

-h, --help[=false]
    help for inspect-chunks

-s, --store=""
    local source store

-t, --trust-insecure[=false]
    trust invalid certificates

OPTIONS INHERITED FROM PARENT COMMANDS
--config=""
    config file (default $HOME/.config/desync/config.json)

--digest="sha512-256"
    digest algorithm, sha512-256 or sha256

--verbose[=false]
    verbose mode

EXAMPLE
      desync inspect-chunks file.caibx
      desync inspect-chunks --store /mnt/store file.caibx inspect_result.json

SEE ALSO
desync(1)

HISTORY
6-Sep-2026 Auto generated by spf13/cobra